Browse Source

PIO env, Travis test for STM32F407VE (#14674)

Tanguy Pruvot 5 years ago
parent
commit
f0be92259b

+ 1 - 0
.travis.yml

@@ -18,6 +18,7 @@ env:
   - TEST_PLATFORM="linux_native"
   - TEST_PLATFORM="esp32"
   - TEST_PLATFORM="alfawise_U20"
+  - TEST_PLATFORM="black_stm32f407ve"
 
 before_install:
   #

+ 13 - 0
buildroot/share/tests/black_stm32f407ve-tests

@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+#
+# Build tests for STM32F407VET6
+#
+
+# exit on first failure
+set -e
+
+use_example_configs STM32/Black_STM32F407VET6
+exec_test $1 $2 "Full-featured Sample Black STM32F407VET6 config"
+
+# cleanup
+restore_configs

+ 1 - 1
config/examples/JGAurora/A1/Configuration_adv.h

@@ -884,7 +884,7 @@
  * LED Control Menu
  * Enable this feature to add LED Control to the LCD menu
  */
-#define LED_CONTROL_MENU
+//#define LED_CONTROL_MENU
 #if ENABLED(LED_CONTROL_MENU)
   #define LED_COLOR_PRESETS                 // Enable the Preset Color menu option
   #if ENABLED(LED_COLOR_PRESETS)

+ 6 - 5
platformio.ini

@@ -458,12 +458,13 @@ lib_ignore    = c1921b4
 # JGAurora A5S A1 (STM32F103ZET6)
 #
 [env:JGAURORA_A5S_A1]
-platform      = ststm32@5.3.0
+platform      = ststm32
 framework     = arduino
 board         = genericSTM32F103ZE
 extra_scripts = buildroot/share/PlatformIO/scripts/jgaurora_a5s_a1_with_bootloader.py
 build_flags   = !python Marlin/src/HAL/HAL_STM32F1/STM32F1_flag_script.py
-  ${common.build_flags}
+  ${common.build_flags} -std=gnu++14
+build_unflags = -std=gnu++11
 src_filter    = ${common.default_src_filter} +<src/HAL/HAL_STM32F1>
 lib_deps      = ${common.lib_deps}
 lib_ignore    = c1921b4
@@ -482,7 +483,7 @@ monitor_speed = 250000
 # Shield - https://github.com/jmz52/Hardware
 #
 [env:black_stm32f407ve]
-platform = ststm32
+platform = ststm32@5.4.3
 framework = arduino
 board = blackSTM32F407VET6
 extra_scripts = pre:buildroot/share/PlatformIO/scripts/black_stm32f407vet6.py
@@ -497,13 +498,13 @@ monitor_speed = 250000
 # BIGTREE_SKR_PRO (STM32F407ZGT6 ARM Cortex-M4)
 #
 [env:BIGTREE_SKR_PRO]
-platform = ststm32
+platform = ststm32@5.4.3
 framework = arduino
 board = BigTree_SKR_Pro
 extra_scripts = pre:buildroot/share/PlatformIO/scripts/generic_create_variant.py
 build_flags = ${common.build_flags}
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STM32F407ZG\"
-  -DTARGET_STM32F4 -DSTM32F407_5ZX -DVECT_TAB_OFFSET=0x8000
+  -DTARGET_STM32F4 -DSTM32F407_5ZX -DVECT_TAB_OFFSET=0x8000 -DHAVE_HWSERIAL6
 lib_deps = ${common.lib_deps}
 lib_ignore = Adafruit NeoPixel, c1921b4, TMC26XStepper, SailfishLCD, SailfishRGB_LED, SlowSoftI2CMaster
 src_filter = ${common.default_src_filter} +<src/HAL/HAL_STM32>